From 0cdbd04b65c84919b555eb3fe5541f688391dd65 Mon Sep 17 00:00:00 2001
From: Vicente Jimenez Aguilar <googuy@gmail.com>
Date: Thu, 12 Mar 2009 19:44:32 +0100
Subject: [PATCH] Avoid debug message 'invalid index constructor' for valid constructors: inputs, options, instances and commands
 when their are empty.

---
 modules/control/http/macro.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

diff --git a/modules/control/http/macro.c b/modules/control/http/macro.c
index 38a6cc1..a9faa5b 100644
--- a/modules/control/http/macro.c
+++ b/modules/control/http/macro.c
@@ -1070,7 +1070,13 @@ void Execute( httpd_file_sys_t *p_args,
                         }
                         else
                         {
-                            msg_Dbg( p_intf, "invalid index constructor (%s)", m.param2 );
+                            if( strcmp( m.param2, "inputs" )
+                                  && strcmp( m.param2, "options" )
+                                  && strcmp( m.param2, "instances" )
+                                  && strcmp( m.param2, "commands" ) )
+                            {
+                                msg_Dbg( p_intf, "invalid index constructor (%s)", m.param2 );
+                            }
                             src = endfor;
                             break;
                         }
-- 
1.6.0.6

